diff --git a/configure.ac b/configure.ac
index 00cb4ac0..9f3134b2 100644
--- a/configure.ac
+++ b/configure.ac
@@ -935,37 +935,6 @@ AS_IF([test "$ENABLE_IOSAPP" != "true" -a "$ENABLE_ANDROIDAPP" != "true"],
 
        ])
 
-AS_IF([test `uname -s` = "Linux"],
-      # We need npm and node only on Linux, both in the normal Online case,
-      # and when only building JS for the iOS app. When building the iOS app itself on macOS,
-      # don't do this.
-      [AC_PATH_PROG(NPM, npm, no)
-       if test "$NPM" = "no"; then
-           AC_MSG_ERROR([npm required to build loleaflet, but not installed])
-       else
-           NPM_VER=`npm -v | awk -F. '{ print (($1 * 100) + $2) * 100 + $3;}'`
-           if test "$NPM_VER" -lt 50000; then
-               AC_MSG_ERROR([This npm version is too old, upgrade to >= 5.0.0])
-           fi
-       fi
-
-       AC_PATH_PROG(NODE, node, no)
-       if test "$NODE" = "no"; then
-           AC_MSG_ERROR([node required to build loleaflet, but not installed])
-       else
-           NODE_VER=`node --version | sed 's/^v//' | awk -F. '{ print (($1 * 100) + $2) * 100 + $3;}'`
-           if test "$NODE_VER" -lt 60000; then
-               AC_MSG_ERROR([This node version is old, upgrade to >= 6.0.0])
-           fi
-       fi
-       if test "$enable_cypress" = "yes"; then
-           AC_PATH_PROGS(CHROME, chrome google-chrome chromium chromium-browser, no)
-           if test "$CHROME" = "no"; then
-               AC_MSG_ERROR([chrome or chromium is required to run the JS tests, but not installed])
-           fi
-       fi
-       ])
-
 # need this after the other stuff that uses the compiler because we don't want to run configure-tests with the plugins enabled
 AS_IF([test -n "$with_compiler_plugins"],
       [CPPFLAGS="$CPPFLAGS -Xclang -load -Xclang ${with_compiler_plugins}/compilerplugins/obj/plugin.so -Xclang -add-plugin -Xclang loplugin -Xclang -plugin-arg-loplugin -Xclang --lool-base-path=\${abs_top_srcdir}"])
